Ajouter une photo à un WO
POST
/v1/work-orders/{id}/photos
const url = 'https://example.com/v1/work-orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/photos';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"minioObjectKey":"example","cdnUrl":"https://example.com","takenAt":"2026-04-15T12:00:00Z","step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/work-orders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/photos \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "minioObjectKey": "example", "cdnUrl": "https://example.com", "takenAt": "2026-04-15T12:00:00Z", "step": "example" }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
minioObjectKey
required
string
cdnUrl
required
string format: uri
takenAt
required
string format: date-time
step
string
Example generated
{ "minioObjectKey": "example", "cdnUrl": "https://example.com", "takenAt": "2026-04-15T12:00:00Z", "step": "example"}Responses
Section intitulée « Responses »Photo ajoutée
Media type application/json
object
data
required
object
workOrderId
required
string format: uuid
status
required
string
Example generated
{ "data": { "workOrderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example" }}Corps invalide
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}Non authentifié
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}WO introuvable
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}